Ticket
Update a ticket
PATCH /ticket/{ticketId}
PATCH /ticket/{ticketId}
Update a ticket by ticketId
Path parameters
ticketIdintegerpathrequiredThe id of the ticket
Query parameters
includeInWorklogbooleanqueryWhether to include the ticket in time tracking, and thus worklog. Useful when a spam ticket should be closed, but it should not show up in the average handling time statistics
Request body
A JSON object containing changes
contractIdstringbodyThe id of the contract to set
statusenumbodyStatus of ticket Options: open, pending, closed
workedOnByintegerbodyIf set to null, flag that the agent has stopped working on this ticket
priorityenumbodyPriority of ticket Options: low, medium, high, urgent
dueBystringbodyThe due date to set
firstResponseDueBystringbodyThe first response due date to set
tagIdsinteger[]bodyAn array of tag ids to set
Request Example
{
"contractId": "376189",
"status": "open",
"workedOnBy": null,
"priority": "low",
"dueBy": 1609502400,
"firstResponseDueBy": 1609502400,
"tagIds": [
1
]
}Responses
200 — Successful operation
403 — Unauthorized
404 — Ticket not found
500 — Internal error